@echo off

rem The script for device deployment. Creates a wgz file and installs it on the device (on some devices this may mean copying the file into the "C:\Data\Widget" folder from where it should be manually installed).

echo Creating zip file...
"C:\Program Files\7-Zip\7z.exe" a -r -xr"!dist" -xr"!.svn" -tzip WRTStub.zip "..\..\WRTStub"

echo Converting zip to wgz...
ren WRTStub.zip WRTStub.wgz

echo Deploying wgz to the device...
start WRTStub.wgz

rem Cleaning up...
set /p var=Press Enter when you're ready...
del WRTStub.wgz

echo Done.
