@echo off

rem The script for emulator deployment. Creates a wgz file that can be installed from the emulator UI.

@echo on

set sdk_path=C:\S60\devices\S60_3rd_FP2_SDK

@echo off

echo Creating zip file...
"C:\Program Files\7-Zip\7z.exe" a -r -xr"!dist" -xr"!.svn" -tzip WRTStub.zip "..\..\WRTStub"

echo Converting zip to wgz...
ren WRTStub.zip WRTStub.wgz

echo Deploying wgz...
del "%sdk_path%\epoc32\winscw\c\Data\Others\WRTStub.wgz"
move WRTStub.wgz "%sdk_path%\epoc32\winscw\c\Data\Others"

echo Done.
